Having had recently the need to use the old Visual Studio 6.0 (specifically Visual C++ 6.0), I discovered that the last Platform SDK compatible with this IDE is the February 2003 edition.